begin

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Define polarity of positive current flow
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

convention positive_current_flow=inward

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Set temperature
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

temperature temp=300

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Load structure from CSUPREM and define output file
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

load_mesh mesh_inf=PIN.aps  suprem_import=yes
output sol_outf=PIN.out

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$   Save impact ionization and space charge data for plotting
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

more_output impact_ionization=yes space_charge=yes

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Define doping--All rings 2 um wide
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$This is the ohmic anode region
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 0.0,   2.0, 0.0, 0.05 )  &&
  y_prof= ( -0.55, 00.0, 0.0, 0.00 )


$ Ring 1 and Ring 2 0.8um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 2.8,   4.8, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 5.6,  7.6, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 3 and Ring 4 0.9um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 8.5,  10.5, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 11.4,  13.4, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 5 and Ring 6 1.0um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 14.4, 16.4, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 17.4, 19.4, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 7 and Ring 8 1.1um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 20.5, 22.5, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 23.6, 25.6, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 9 and Ring 10 1.2um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 26.8, 28.8, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 30.0, 32.0, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 11 and Ring 12 1.3um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 33.3, 35.3, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 36.6, 38.6, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 13 and Ring 14 1.4um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 40.0, 42.0, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 43.4, 45.4, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 15 and Ring 16 1.5um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 46.9, 48.9, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 50.4, 52.4, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 17 and Ring 20 1.6um spacing, 
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 54.0, 56.0, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 57.6, 59.6, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 61.2, 63.2, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 64.8, 66.8, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 21 to Ring 24 1.7um spacin
doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 68.5, 70.5, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 72.2, 74.7, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 76.4, 78.4, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.00, 0.05 )

doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
  x_prof= ( 80.1, 82.1, 0.05, 0.05 )  &&
  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$ Ring 25 to Ring 28 1.8um spacing
$doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
$  x_prof= ( 83.9, 85.9, 0.05, 0.05 )  &&
$  y_prof= (-0.55, 00.0, 0.00, 0.05 )

$doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
$  x_prof= ( 87.7, 89.7, 0.05, 0.05 )  &&
$  y_prof= (-0.55, 00.0, 0.0, 0.0 )

$doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
$  x_prof= ( 91.5, 93.5, 0.05, 0.05 )  &&
$  y_prof= (-0.55, 00.0, 0.00, 0.05 )

$doping impurity=shal_dopant charge_type=acceptor max_conc=1.e24  &&
$  x_prof= ( 95.3, 97.3, 0.05, 0.05 )  &&
$  y_prof= (-0.55, 00.0, 0.0, 0.0 )


$  Substrate doping
doping impurity=shal_dopant charge_type=donor max_conc=1.e24  &&
  x_prof= (00.0,   130.0, 0.05, 0.05 )  &&
  y_prof= (-15.0, -12.0,  0.1,  0.1 )

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Material mapping and macro definition
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

suprem_property user_material_mapping = yes
$suprem_to_apsys_material suprem_mater=25  apsys_mater=1
suprem_to_apsys_material suprem_mater=26  apsys_mater=1
suprem_to_apsys_material suprem_mater=1  apsys_mater=2

material_label_define label=4h_sic mater=   1
load_macro name=4h_sic mater=   1
load_macro name=sio2   mater=   2

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Contact definition
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

suprem_contact num=1 xrange=(0.000000 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower


suprem_contact num=2 xrange=(0.0 1.0)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=upper

contact num=1
contact num=2


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Set minority carrier to improve convergence
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

set_minority_carrier virtual_eg_kt=25

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$
$    Scale to device area to realistic dimensions
$
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

$3d_solution_method skip_fv_data=yes
$z_structure single_plane_zdim=2.86e6



$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$
$   Impact ionization models
$   Choose coefficients from Loh et al, TED 2008
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Originals from Crosslight Example
$impact_chynoweth mater = 1 hole_setnum = 1  &&
$    hole_set1 =  [1.12e+09,1.72e+09,1.]  &&
$    elec_setnum = 1 elec_set1 =  [4.60e+07,1.78e+09,1.]

$  Silvaco defaults
$impact_chynoweth mater = 1 hole_setnum = 1  &&
$    hole_set1 =  [5.18e+08,1.4e+09,1.]  &&
$    elec_setnum = 1 elec_set1 =  [1.660e+08,1.27e+09,1.]

$  GE Coefficinets
impact_chynoweth mater = 1 hole_setnum = 1  &&
    hole_set1 =  [3.51e+08,1.03e+09,1.09]  &&
    elec_setnum = 1 elec_set1 =  [2.78e+08,1.05e+09,1.37]


$ From Hatakeyama's paper  C axis coefficients
$impact_chynoweth mater = 1 hole_setnum = 1  &&
$    hole_set1 =  [3.41e+10,2.5E+09,1.]  &&
$    elec_setnum = 1 elec_set1 =  [1.76e+10,3.3E+09,1.]

$ From Hatakeyama's paper  a axis coefficients
$impact_chynoweth mater = 1 hole_setnum = 1  &&
$   hole_set1 =  [2.96E+09,1.6E+09,1.]  &&
$    elec_setnum = 1 elec_set1 =  [2.1e9,1.7E+09,1.]

$impact_lackner elec_a_coef=2.10E+09 elec_critical_field=1.7E+09 &&
$               hole_a_coef=2.96e+09 hole_critical_field=1.6E+09


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Equilibrium solution
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


newton_par damping_step=5. max_iter=150 &&
var_tol=0.1 res_tol=0.1
$
equilibrium

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Reverse Simulation
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


newton_par damping_step=2. var_tol=1.e-3 res_tol=1.e-4 &&
  max_iter=50 opt_iter=15 stop_iter=15  change_variable=yes

  newton_par damping_step=5.   &&
  var_tol=0.01 res_tol=0.01 change_variable=no
$scan var=voltage_1 value_to=4000 &&
$   init_step=0.5 max_step=20. min_step=1e-8 &&
$   auto_finish=current_1 auto_until=1.e-2 auto_condition=above &&
$   var2=time value2_to=10
$scan var=current_1 value_to=1  &&
$  init_step=1.1e-7 min_step=1.e-7 max_step=1.e4

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Below is the orignal scan statement from the SBD simulation
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


scan var=voltage_1 value_to=3000 &&
   init_step=0.01 max_step=100 min_step=1e-8 &&
   auto_finish=current_2 auto_until=1e-3 auto_condition=above


scan var=current_1 value_to=2e1  &&
  init_step=1.1e-7 min_step=1.e-7 max_step=1.e4


end